%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%% This is the file ztex.mk, part of the MathKit package
%% (version 0.7, January , 1998) for math font 
%% generation.  (Author: Alan Hoenig, ajhjj@cunyvm.cuny.edu)
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% This is a template file for use with MathKit to create
%% a plain TeX style file.

\input pdcfsel % get Damian Cugley's macros
\newfam\bifam 

\font\tenex=<mock>ex10 at 10.0 pt
[b]\font\tenbex=<mock>bex10 % bold extension
\textfont3=\tenex \scriptfont3=\tenex \scriptscriptfont3=\tenex

\def\texttemplate{%
  \@\f{textrm}{<fam>r<m><enc>t}% 
  \@\M{rm}{<fam>r<m><enc>t}\@\M{mi}{<fam>r<m>7m}%
  \@\M{sy}{<mock>sy10}% math fonts
  \@\M{it}{<fam>ri<enx>t}\@\m{bf}{<fam><b><enx>t}%
  \@\f{bi}{<fam><b>i<enx>t}
}%
\def\scripttemplate{%
  \@\M{rm}{<fam>r<m><enc>t7}\@\M{mi}{<fam>r<m>7m7}%
  \@\M{sy}{<mock>sy7}% math fonts
  \@\M{it}{<fam>ri<enx>t}\@\m{bf}{<fam><b><enx>t}%
  \@\f{bi}{<fam><b>i<enx>t}
}%
\def\sscripttemplate{%
  \@\M{rm}{<fam>r<m><enc>t5}\@\M{mi}{<fam>r<m>7m5}%
  \@\M{sy}{<mock>sy5}% math fonts
  \@\M{it}{<fam>ri<enx>t}\@\m{bf}{<fam><b><enx>t}%
  \@\f{bi}{<fam><b>i<enx>t}
}%
\xfontset{scriptscript}\sscripttemplate{5}
\xfontset{script}\scripttemplate{7}

[sa]\def\sanstemplate{%
[sa]  \@\m{rm}{<ssr>}\@\f{it}{<ssri>}%
[sa]  \@\f{bf}{<ssb>}\@\f{bi}{<ssbi>}%
[sa]}
[sa]\fontset{sans}\sanstemplate{<sasize>}{12pt}{}{}
[sa]\newfam\sffam 
[sa]\def\sf{\fam\sffam\sansrm}\textfont\sffam=\sansrm % for math

[tt]\def\tttemplate{%
[tt]  \@\f{rm}{cmtt10}%
[tt]}
[tt]\fontset{tt}\tttemplate{<ttsize>}{12pt}{}{}
[tt]\def\tt{\fam\ttfam\ttrm}\textfont\ttfam = \ttrm % for math

\def\caltemplate{
  \@\f{rm}{<cal>}%
}
\fontset{cal}\caltemplate{<casize>}{12pt}{}{}
\newfam\calfam
\def\cal{\fam\calfam\calrm}\textfont\calfam = \calrm % for math

[fr]\def\fraktemplate{
[fr]  \@\f{rm}{eufm10}%
[fr]}
[fr]\fontset{frak}\fraktemplate{<frsize>}{12pt}{}{}
[fr]\newfam\frakfam
[fr]\def\frak{\fam\frakfam\frakrm}\textfont\frakfam = \frakrm % for math

[bb]\def\bbtemplate{
[bb]  \@\f{rm}{<mock>bb10}%
[bb]}
[bb]\fontset{bb}\bbtemplate{10}{12pt}{}{}
[bb]\newfam\bbfam
[bb]\def\bb{\fam\bbfam\bbrm}\textfont\bbfam = \bbrm % for math

[b]\def\boldface{
[b]  \def\bftexttemplate{%
[b]    \@\f{textrm}{<fam><b><m><enc>t}% 
[b]    \@\M{rm}{<fam><b><m><enc>t}\@\M{mi}{<fam><b><m>7m}%
[b]    \@\M{sy}{<mock>bsy10}% math fonts
[b]    \@\M{it}{<fam><b>i<enx>t}
[b]  }%
[b]  \def\bfscripttemplate{%
[b]    \@\M{rm}{<fam><b><m><enc>t7}\@\M{mi}{<fam><b><m>7m7}%
[b]    \@\M{sy}{<mock>bsy7}% math fonts
[b]    \@\M{it}{<fam><b>i<enx>t}
[b]  }%
[b]  \def\bfsscripttemplate{%
[b]    \@\M{rm}{<fam><b><m><enc>t5}\@\M{mi}{<fam><b><m>7m5}%
[b]    \@\M{sy}{<mock>bsy5}% math fonts
[b]    \@\M{it}{<fam><b>i<enx>t}
[b]  }%
[b]  \xfontset{bfscriptscript}\bfsscripttemplate{5}
[b]  \xfontset{bfscript}\bfscripttemplate{7}
[b]  \fontset{bfbody}\bftexttemplate{10}{12pt}{bfscript}{bfscriptscript}
[b]  \skewchar\bfbodymi=127 \skewchar\bfscriptmi=127 
[b]  \skewchar\bfscriptscriptmi=127 \skewchar\bfbodysy=48 
[b]  \skewchar\bfscriptsy=48 \skewchar\bfscriptscriptsy=48
[b]  \textfont3=\tenbex \scriptfont3=\tenbex \scriptscriptfont3=\tenbex 
[b]  \def\caltemplate{
[b]    \@\f{bf}{<calb>}%
[b]  }
[b]  \fontset{cal}\caltemplate{<casize>}{12pt}{}{}
[b]  \def\cal{\fam\calfam\calbf}\textfont\calfam = \calbf % for math
[b]  \bfbodyfonts
[b]  \let\tenrm=\textrm \textrm
[b]}

\fontset{body}\texttemplate{10}{12pt}{script}{scriptscript}
\skewchar\bodymi=127 \skewchar\scriptmi=127 \skewchar\scriptscriptmi=127
\skewchar\bodysy=48 \skewchar\scriptsy=48 \skewchar\scriptscriptsy=48

\bodyfonts
\let\tenrm=\textrm \textrm

